Bug 25780 - Loss of Mouse buttons and Keyboard after resume on IBM laptops
Summary: Loss of Mouse buttons and Keyboard after resume on IBM laptops
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-02 23:43 UTC by dbelliz
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dbelliz 2001-02-02 23:43:28 UTC
After I resume from suspending my laptop I lose all mouse and keyboard
control on IBM Thinkpad 600X and T21 models.

The same laptops with RH6.2 work fine. 
This is problem exists with kernels 2.2.16-X and 2.2.17.

Recompiling 2.2.16-22 with these settings did not help.  
CONFIG_APM=y
# CONFIG_APM_IGNORE_USER_SUSPEND is not set
CONFIG_APM_DO_ENABLE=y
CONFIG_APM_CPU_IDLE=y
CONFIG_APM_DISPLAY_BLANK=y
CONFIG_APM_IGNORE_SUSPEND_BOUNCE=y
# CONFIG_APM_RTC_IS_GMT is not set
CONFIG_APM_ALLOW_INTS=y
CONFIG_APM_REAL_MODE_POWER_OFF=y

 After I lose control of the system, I am still able to gain access to the
box remotely. There does not seem to be any hung processes from apmscript.

I'm on my third laptop and 12th install. Did I miss something?

Comment 1 dbelliz 2001-05-11 14:21:49 UTC
I just upgraded from RH6.2 to 7.1 and the behavior is the same. 

Take laptop out of dock or remove AC power.
Close the lind or press Fn + F4 to suspend
The console will blank but nothing else will happen. All keyborad/mouse and
display are lost. 

I tried this with the stock kernel and also with a rebuilt kerel with the above
changes.

Comment 2 Jonathan Magid 2001-11-02 22:14:14 UTC
I was having a similar problem- not with every resume but sometimes. No keyboard
activity,
and mouse clicks acted as if the control key was down (menu appears when
clicking xterm).

I think this is a conflict between X and gpm. Killing gpm before starting X
seems to fix it.

Comment 3 dbelliz 2001-11-03 03:13:05 UTC
I found a better workaround. I switched to SUSE 7.1/7.2 and it worked great out
of the Box. Sorry Redhat.

Comment 4 Bugzilla owner 2004-09-30 15:38:54 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.